Subject: [bug#40492] [PATCH] gnu: Add meshlab

From: Ekaitz Zarraga <[email-masked]>
Date: Fri, 15 May 2020 22:41:44 +0000

Hi,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Thursday, May 14, 2020 10:17 AM, Ekaitz Zarraga <[email-masked]> wrote:

> Hi,
>
> On Thursday, May 14, 2020 10:06 AM, Ludovic Courtès [email-masked] wrote:
>
> > Of these I think we should at least package openkinect, lib3ds, and
> > openctm, which appear to be rather widespread pieces of software. I
> > haven’t checked the others.
> > Would you like to give it a try? We can come back to Meshlab
> > afterwards.
> > Thank you,
> > Ludo’.
>
> Sure.
>
> I'll work on those during these days.

I added all the packages mentioned:

https://issues.guix.gnu.org/41263
https://issues.guix.gnu.org/41288
https://issues.guix.gnu.org/41294

But there's something worth mentioning on all of them I think. They have two different parts: binaries and the library itself. The binaries are just for testing the library or using it while the most interesting part is the library itself.

I think it could be more interesting to separate the outputs to have more lightweight lib packages. I don't know how to do it though. I'd like to learn and add it but the documentation is not really clear about it to learn myself so I'm afraid I need some help on that.

Best,
Ekaitz